package com.bwie.jisuan.controller;

import com.bwie.common.result.Result;
import com.bwie.jisuan.service.JiSuanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：weiran
 * @Package：com.bwie.jisuan.controller
 * @Project：day13
 * @name：JiSuanCController
 * @Date：2024/8/7 8:38
 */
@RestController
@RequestMapping("/jisuan")
public class JiSuanCController {
    @Autowired
    private JiSuanService jiSuanService;

    /**
     * 加法
     */
    @PostMapping("/add")
    public Result add(){
      return   jiSuanService.add();
    }


    /**
     * 减法
     */
    @PostMapping("/subtract")
    public Result subtract(){
        return   jiSuanService.subtract();
    }

    /**
     * 乘法
     */
    @PostMapping("/multiply")
    public Result multiply(){
        return   jiSuanService.multiply();
    }


    /**
     * 除法
     */
    @PostMapping("/divide")
    public Result divide(){
        return   jiSuanService.divide();
    }
}
