package com.bwie.jisuan.service.impl;

import com.bwie.common.result.Result;
import com.bwie.jisuan.service.JiSuanService;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * @Author：weiran
 * @Package：com.bwie.jisuan.service.impl
 * @Project：day13
 * @name：JiSuanServiceImpl
 * @Date：2024/8/7 8:39
 */
@Service
public class JiSuanServiceImpl implements JiSuanService {

    private  static BigDecimal num1= BigDecimal.valueOf(10);
    private  static BigDecimal num2= BigDecimal.valueOf(5);

    @Override
    public Result add() {
        BigDecimal num3= num1.add(num2);
        return Result.success(num3);
    }

    @Override
    public Result subtract() {
        BigDecimal num3= num1.subtract(num2);
        return Result.success(num3);
    }

    @Override
    public Result multiply() {
        BigDecimal num3= num1.multiply(num2);
        return Result.success(num3);
    }

    @Override
    public Result divide() {
        BigDecimal num3= num1.divide(num2,2);
        return Result.success(num3);

    }
}
